सामग्री पर जाएँ

Gemini Omni Flash 1.1 Text to Video

इंटीग्रेट करें

मॉडल id google/gemini-omni-flash/v1.1/text-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध: $0.80 800 API क्रेडिट · ≈ ₽85.97 इसे इस पेज पर चलाएँ

API कुंजी प्राप्त करें
Google टेक्स्ट से वीडियो 4K आउटपुटलिपसिंकतेज़3–10 s4k तक #stylized#transform#lipsync

नेटिव ऑडियो वाला संस्करण 1.1 टेक्स्ट-ओनली वीडियो निर्माण, 360p से 4k तक चयन योग्य रिज़ॉल्यूशन

Google · वीडियो

आपका पहला परिणाम यहाँ आएगा

नीचे एक अनुरोध बनाएँ और उसे अपनी API कुंजी से चलाएँ। आउटपुट हमारे स्टोरेज में कॉपी किए जाते हैं और हमेशा के लिए या 7 दिन तक मुफ़्त में रखे जाते हैं।

अनुरोध बनाएँ

कंट्रोल मॉडल स्कीमा से जनरेट होते हैं। इन्हें बदलने पर कोड और कीमत अपडेट होती है।

•आवश्यक 88 / 20000

वांछित वीडियो का टेक्स्ट विवरण।

aspect_ratio डिफ़ॉल्ट 16:9

आउटपुट वीडियो का आस्पेक्ट रेशियो।

resolution डिफ़ॉल्ट 720p

आउटपुट वीडियो के लिए उपयोग किया गया रिज़ॉल्यूशन।

डिफ़ॉल्ट 8

आउटपुट वीडियो की लंबाई, सेकंड में मापी गई।

POST /run/google/gemini-omni-flash/v1.1/text-to-video?wait=20 कोटेशन → $0.80
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/google/gemini-omni-flash/v1.1/text-to-video?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

यह अनुरोध चलाएँ

आपकी key इसी ब्राउज़र में रहती है: इसे केवल Doitong API को भेजा जाता है और केवल तभी (localStorage) में सेव किया जाता है जब आप Remember चुनते हैं। API कुंजी प्राप्त करें

Gemini Omni Flash 1.1 Text to Video के बारे में

बिना किसी संदर्भ मीडिया के केवल टेक्स्ट प्रॉम्प्ट से वीडियो क्लिप बनाता है। प्रॉम्प्ट अधिकतम 20000 वर्णों के हो सकते हैं और साधारण भाषा में कैमरा मूवमेंट का वर्णन कर सकते हैं। 16:9 या 9:16, 360p, 720p, 1080p या 4k का रिज़ॉल्यूशन और 3 से 10 सेकंड की अवधि चुनें (डिफ़ॉल्ट 8)। आउटपुट एकल वीडियो ऑब्जेक्ट होता है।

पैरामीटर

नामप्रकार डिफ़ॉल्टअनुमत विवरण
promptआवश्यक
प्रकारstring
≤ 20,000 अक्षर
वांछित वीडियो का टेक्स्ट विवरण।
aspect_ratioवैकल्पिक
प्रकारenum
डिफ़ॉल्ट16:9
16:99:16
आउटपुट वीडियो का आस्पेक्ट रेशियो।
resolutionवैकल्पिक
प्रकारenum
डिफ़ॉल्ट720p
360p720p1080p4k
आउटपुट वीडियो के लिए उपयोग किया गया रिज़ॉल्यूशन।
durationवैकल्पिक
प्रकारinteger
डिफ़ॉल्ट8
3 – 10
आउटपुट वीडियो की लंबाई, सेकंड में मापी गई।
आवश्यक

आउटपुट

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "google/gemini-omni-flash/v1.1/text-to-video",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 800,
    "usd": "0.80",
    "charged": 800,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
आपकी फ़ाइलें, आपकी पसंदहर outputs[].url हमारे स्टोरेज में एक कॉपी है: हमेशा के लिए (प्रति GB-माह भुगतान) या 7 दिन तक मुफ़्त में, आपके अकाउंट की सेटिंग या ?storage= के अनुसार।
हर मॉडल पर एक जैसा आकारइमेज, वीडियो और ऑडियो सभी के लिए type, url, content_type, width, height और duration। output मॉडल का अपना परिणाम ऑब्जेक्ट है।
आउटपुट के फ़ील्ड
video
object {url, content_type, file_name, file_size}मॉडल द्वारा बनाया गया वीडियो।

और मॉडल: टेक्स्ट से वीडियो

AI एजेंट के लिए: इस पेज का Markdown यहाँ है https://doitong.com/hi/developers/models/google/gemini-omni-flash/v1.1/text-to-video.md. सभी मॉडल और गाइड: https://doitong.com/developers/llms.txt